package es.verdnatura.presentation.view.feature.ajustes.model

import es.verdnatura.presentation.view.feature.articulo.model.ItemPackingType

class AjustesItemVO (
    var id: Int,
    var title: String = "",
    var selected: String? = "",
    var sectorFk : Int?,
    var warehouse: Int?,
    var printerFk:Int?,
    var printerSelected:String="",
    var action:Boolean
)

class SectorItemVO (
    var id: Int,
    var description:String = "",
    val warehouseFk:Int?,
    val isError : Boolean = false,
    var errorMessage : String = ""
)

class SectorListVO (
    var list: List<SectorItemVO> = listOf()
)
class PrintersList (
    var list: List<Printers> = listOf()
)
class Printers(

    var id: Int?=null,
    var name: String="",
    val isError : Boolean = false,
    var errorMessage : String = ""

)

class WorkerPrintersList(
    var list:List<Printers> = listOf()
)

class Train(
    var id: Int?=null,
    var name: String="",
    val isError : Boolean = false,
    var errorMessage : String = ""
)

class TrainList (
    var list: List<Train> = listOf()
)